<?php
$time = microtime();
$time = explode(' ', $time);
$time = $time[1] + $time[0];
$start = $time;

?>
<div class="page-title">
	<h3>Management Science for Health(MSH)</h3>
	<div class="page-breadcrumb">
		<ol class="breadcrumb">
			<li><a href="index.php">Home</a></li>
			<li><a href="#">UI</a></li>
			<li class="active">Data Export</li>
		</ol>
	</div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<div id="main-wrapper">
	<div class="row">
<div class="col-md-12">
	<div class="panel panel-white">
			<div class="panel-heading clearfix">
				<h4 class="panel-title">eLMIS Data Export</h4>
				
			</div><hr>
			<form class="form-horizontal" method="POST" name="eLMISForm" id="dataupload_form" action="#">
						<div class="row">
							<div class="col-md-4">
								<div class="form-group">
									<label for="inputPassword3" class="col-md-4 control-label">User Name</label>
									<div class="col-md-8">
										<select class="form-control" name="uname" id="uname" >
											<option name="">User Name</option>
											<option name="julhas">Julhas</option>
										</select>
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label for="inputPassword3" class="col-md-4 control-label">Password</label>
									<div class="col-md-8">
										<input type="password" name="password"  class="form-control" id="password">
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label for="inputPassword3" class="col-md-4 control-label">Web Link</label>
									<div class="col-md-8">
										<select class="form-control" name="webLink" id="webLink" >
											<option name="">Select cURL</option>
											<option value="your url">Central Server</option>
											<option value="your url">Development Server</option>
										</select>
									</div>
								</div>
							</div>
							
						</div>
						
						<div class="row">
							<div class="col-md-4">
								<div class="form-group">
									<label for="inputPassword3" class="col-md-4 control-label">Data Set</label>
									<div class="col-md-8">
										<select class="form-control" name="dataset" id="dataset" >
											<option name="">Select Data Set</option>
											<option value="CCVg2xgFPL">Monthly eLMIS DataSet-Central</option>
										<option value="LLzf2x2bF">Monthly eLMIS DataSet-Development</option>
										</select>
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label for="inputPassword3" class="col-md-4 control-label">Periods</label>
									<div class="col-md-8">
										<select class="form-control" name="period" id="period" >
											<option name="">Select Month</option>
											<option value="201501">January</option>
											<option value="201502">February</option>
											<option value="201503">March</option>
											<option value="201504">April</option>
											<option value="201505">May</option>
											<option value="201506">June</option>
											<option value="201507">July</option>
											<option value="201508">August</option>
											<option value="201509">September</option>
											<option value="201510">October</option>
											<option value="201511">November</option>
											<option value="201512">December</option>
										</select>
									</div>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label for="inputPassword3" class="col-md-4 control-label">Organization Unit</label>
									<div class="col-md-8">
										<input type="text" name="orgUnit" class="form-control" id="orgUnit">
									</div>
								</div>
							</div>							
						</div><hr>					
						<div class="form-group">
							<div class="col-sm-offset-2 col-sm-10">
								<button type="submit" class="btn btn-success" id="dataupload_button">Export DHIS2 eLMIS Data</button>
							</div>
						</div>
					</form>
		<hr>
<?php
/*  // Create a curl handle
$ch = curl_init('http://devs.jbrsoft.com/');
// Execute
curl_exec($ch);
// Check if any error occurred
if(!curl_errno($ch))
{
 $info = curl_getinfo($ch);
 echo 'Took ' . $info['total_time'] . ' seconds to send a request to ' . $info['url'];
}
// Close handle
curl_close($ch);  */
?>

<?php
/* $json = '{"a":1,"b":2,"c":3,"d":4,"e":5}';

var_dump(json_decode($json));
var_dump(json_decode($json, true));
 */

$array = array(
    "multi" => array(
         "dimensional" => array(
             "array" => "foo",
			 array(
			 "a"=>"x"
			 )
         )
    )
);

//169 data elements out of 175
//169 data elements out of 175
$resultData=array(
			'lUlO122JobN' => 'Inj.Gentamycin_AdjustmentMinus',
            'RFfpTzpcqPJ' => 'Tab.Metronidazole_AdjustmentMinus',
            'Talfcx6PnNn' => 'AmoxicillinDT_ReceiptsThisMonth',
            'Kl9dzGABFSh' => 'Inj.Ephedrine_OpeningBalance',
            'UtCxBENp0ib' => 'Tab.Furosemide_Consumption',
            'knSQlEBVYe1' => 'ResuscitationDevice_NumofDaysStockOut',
            'kkCBOYsl6NI' => 'Inj.Bupivacaine_OpeningBalance',
            'VLBjsBQhTlJ' => 'ORS_Consumption',
            'QPHCZXfLNkX' => 'Inj.Bupivacaine_Comments',
            'e383xPFuuci' => 'Inj.Magnesium_Consumption',
            'wZIrprBczbq' => 'Inj.Furosemide_AdjustmentPlus',
            'wZHUqB9ybiq' => 'Inj.Cephradine1_AdjustmentMinus',
            'KdB8jHHv4mr' => 'Inj.Pethidine_OpeningBalance',
            'BTxKhOZyLcV' => 'Inj.Oxytocin5_Consumption',
            'GVfA9PgLsNJ' => 'Tab.Furosemide_ReceiptsThisMonth',
            'ExVqh1ec8q7' => 'Misoprostol_AdjustmentPlus',
            'pJn5OkRpzhn' => 'Inj.5%DNS_AdjustmentPlus',
            'MzF3QGgqoBM' => 'Misoprostol_NumofDaysStockOut',
            'O2Nu7efJ5CB' => 'Inj.Ampicillin2_Consumption',
            'mIbfV1Udb95' => 'Inj.Cephradine1_ReceiptsThisMonth',
            'TppJdq7mgBK' => 'Inj.Cephradine1_Comments',
            'UR0IZCdXnxG' => 'Zinc_NumofDaysStockOut',
            'uSfG4AVKsT6' => 'Inj.Ergometrine_Consumption',
            'iVnqBUyhn0T' => 'Zinc_Consumption',
            'Ny3VtDwsnsT' => 'Inj.Bupivacaine_AdjustmentPlus',
            'KuBgWJtbpTh' => 'Inj.Hartmann’s_Consumption',
            'jP3qNMZMsAq' => 'Inj.Furosemide_Comments',
            'WjgoWZ94e1d' => 'Inj.Magnesium_AdjustmentPlus',
            'KzMGhk0wWwo' => 'Zinc_Comments',
            'okbQjR9xBT4' => 'ORS_NumofDaysStockOut',
            'hHUnA3oLcL1' => 'Tab.Furosemide_AdjustmentPlus',
            'VBLQ2c7h3XZ' => 'Inj.Plasmasol_Comments',
            'jObMaZt8SnB' => 'Inj.Oxytocin5_ReceiptsThisMonth',
            'rBNyyg3pPCN' => 'Inj.Cephradine1_AdjustmentPlus',
            'ZZwRLHp6Jmd' => '7.1%Chlorhexidine_Comments',
            'Po0PbKl6Y8o' => 'SulbutamolRespirator_OpeningBalance',
            'h2frkCHQbH2' => 'Inj.Cephradine1_NumofDaysStockOut',
            'vsxgpZZeNTh' => 'Tab.Furosemide_OpeningBalance',
            'GzLkBoksiNn' => 'Inj.Metronidazole_Consumption',
            'jUceO7nqOBH' => 'Inj.AntenatalCorticosteroids_AdjustmentMinus',
            'E3TnNZbm6FI' => 'IronFolate_OpeningBalance',
            'CBUuKqQIZpv' => 'Tab.Metronidazole_Comments',
            'YjnNgBHbBOo' => 'Inj.Ephedrine_AdjustmentPlus',
            'JefDZ22T51a' => 'Inj.AntenatalCorticosteroids_AdjustmentPlus',
            'tz2KPzjKNBn' => '7.1%Chlorhexidine_OpeningBalance',
            'JiotmSOUQYr' => 'Inj.Bupivacaine_ReceiptsThisMonth',
            'aTZ5ZIfbgJH' => 'Inj.Ergometrine_AdjustmentPlus',
            'mhrF13UZJXp' => 'ResuscitationDevice_Consumption',
            'xF8qoiFTH05' => 'AmoxicillinDT_AdjustmentPlus',
            'ta8v9gj6aQC' => 'Inj.Ampicillin2_OpeningBalance',
            'PTuDiW17vtH' => 'SulbutamolRespirator_AdjustmentMinus',
            'KkpJNWTAkMl' => 'Inj.Metronidazole_AdjustmentPlus',
            'jy3Snqc2XUQ' => 'Inj.AntenatalCorticosteroids_OpeningBalance',
            'dWZZv6bnWt6' => 'Zinc_OpeningBalance',
            'XvVI2D7KdnS' => 'Inj.Oxytocin5_AdjustmentMinus',
            'qTO5c8vIzA5' => 'Inj.Pethidine_NumofDaysStockOut',
            'pNjvEsubyCl' => 'SulbutamolRespirator_ReceiptsThisMonth',
            'i51z9uAeRzL' => 'Inj.Metronidazole_NumofDaysStockOut',
            's3cP8BaXjFT' => 'Inj.Hartmann’s_OpeningBalance',
            'gltBAqq7iZi' => 'ORS_Comments',
            'LGgTPOJgcYu' => 'Inj.Bupivacaine_Consumption',
            'H1xZw2UbXZ5' => 'ORS_AdjustmentMinus',
            'nqI0aBn4FK6' => 'Inj.Gentamycin_AdjustmentPlus',
            'WwTF3lyUGCp' => 'Inj.Furosemide_OpeningBalance',
            'CRueZPFX52M' => 'Inj.Ampicillin2_AdjustmentPlus',
            'sXaVRGJUbzy' => 'Inj.Ephedrine_ReceiptsThisMonth',
            'O3RYs6vTyNj' => 'Inj.Hartmann’s_Comments',
            'JfKIs3bTVvR' => 'Inj.Cephradine1_Consumption',
            'Fsog9v3Z5lj' => 'Inj.Pethidine_Consumption',
            'BOqNhB2QlSh' => 'Inj.Ergometrine_NumofDaysStockOut',
            'esyhZhsQMEl' => 'Inj.Plasmasol_AdjustmentPlus',
            'L1AvNJwLm6R' => 'Inj.Magnesium_AdjustmentMinus',
            'CYH0Pqz5r06' => 'Inj.Hartmann’s_ReceiptsThisMonth',
            'NZzG1Ib3nAI' => 'Inj.Furosemide_Consumption',
            'pnBJrRFysDY' => 'Inj.Ampicillin2_Comments',
            'X0JvVPvFOrc' => 'Inj.Metronidazole_ReceiptsThisMonth',
            'pfLuEiawFuW' => 'Misoprostol_AdjustmentMinus',
            'w8rwts29i1T' => 'ORS_ReceiptsThisMonth',
            'pqd4yNSoVpn' => 'Inj.Magnesium_ReceiptsThisMonth',
            'wYGpdG8KPGh' => 'AmoxicillinDT_OpeningBalance',
            'v3VK2l8hy6K' => 'Misoprostol_OpeningBalance',
            'YWcnTtfjyUs' => 'Tab.Metronidazole_ReceiptsThisMonth',
            'b0sLFkv6mDK' => 'Inj.5%DNS_Consumption',
            'rZg7aUSJwIY' => 'Inj.Cephradine1_OpeningBalance',
            'JP0hiuaxxQ8' => 'Inj.Oxytocin5_OpeningBalance',
            'MsXHNCPxjZT' => 'Misoprostol_ReceiptsThisMonth',
            'mx4Pg5krtcM' => 'Inj.Metronidazole_Comments',
            'mp1UnNq3Gxo' => 'Inj.AntenatalCorticosteroids_ReceiptsThisMonth',
            'GNIKGG7dvpU' => 'Inj.Plasmasol_NumofDaysStockOut',
            'cOJgjudQAQo' => 'Zinc_AdjustmentPlus',
            'jffilIrW9IZ' => '7.1%Chlorhexidine_ReceiptsThisMonth',
            'iP9ACQGTBKV' => 'SulbutamolRespirator_NumofDaysStockOut',
            'xkofgsbi9Fm' => 'IronFolate_ReceiptsThisMonth',
            'UdsOj3MwPWn' => 'Inj.Metronidazole_AdjustmentMinus',
            'Ba7qJ564y5C' => 'Inj.5%DNS_NumofDaysStockOut',
            'tDLULNIzp1a' => 'ResuscitationDevice_OpeningBalance',
            'eAps0dQsn5G' => 'Inj.Gentamycin_Comments',
            'BX1kxoCkZQk' => 'Inj.Pethidine_AdjustmentMinus',
            'Y6c5i3xcQzh' => 'ResuscitationDevice_AdjustmentPlus',
            'Wlv7lH1K3dZ' => 'ResuscitationDevice_ReceiptsThisMonth',
            'xMYRs4uILKk' => 'IronFolate_NumofDaysStockOut',
            'VHYdo3Ir2Vp' => 'Tab.Metronidazole_NumofDaysStockOut',
            'aiMr6inhA86' => 'Inj.Gentamycin_NumofDaysStockOut',
            'lQ8m8QQIZxr' => 'AmoxicillinDT_Consumption',
            'Qht1SIpTBHv' => 'SulbutamolRespirator_Comments',
            'RZ6hZt9MoJC' => 'Inj.AntenatalCorticosteroids_Consumption',
            'dlAwFk1OAR6' => 'Tab.Metronidazole_AdjustmentPlus',
            'cW0xNLZPhsO' => 'Tab.Metronidazole_Consumption',
            'AkZe7BcLxRF' => 'Inj.Magnesium_Comments',
            'mHRPw2YlHnL' => 'Inj.Plasmasol_Consumption',
            'O3j41MTd61L' => 'Tab.Furosemide_Comments',
            'tJZvMcKDp89' => 'Misoprostol_Comments',
            'TI9KQ9QdJQS' => 'Inj.AntenatalCorticosteroids_Comments',
            'OltSJ8Qga3g' => '7.1%Chlorhexidine_AdjustmentPlus',
            'sjmAwLK8hqF' => 'Inj.5%DNS_ReceiptsThisMonth',
            'ywucpOqQDmO' => 'ResuscitationDevice_Comments',
            'Yq9iE41sELh' => 'Inj.Hartmann’s_NumofDaysStockOut',
            'BbMmLJA3KXL' => '7.1%Chlorhexidine_AdjustmentMinus',
            'MuhtvqYlSSn' => 'Inj.5%DNS_AdjustmentMinus',
            'uDQ0vXUhnqG' => 'Inj.Ergometrine_OpeningBalance',
            'IKLg0Yn1Y7p' => 'Inj.Ephedrine_AdjustmentMinus',
            'EeKFG0cu7jq' => 'Inj.Ephedrine_Consumption',
            'MS1rdw1YCru' => 'Inj.5%DNS_Comments',
            'ALnx5XP5Ao5' => 'Inj.Gentamycin_ReceiptsThisMonth',
            'aZrMrEke3QS' => 'AmoxicillinDT_Comments',
            'C8HJQnMiZq7' => 'Zinc_ReceiptsThisMonth',
            'Xk3bRyX1WBa' => 'Inj.Gentamycin_Consumption',
            'VsS1R8DztGn' => 'Inj.Ampicillin2_NumofDaysStockOut',
            'tAiLCqLmvwq' => 'Inj.Ergometrine_AdjustmentMinus',
            'gkwNcn2qmiU' => 'Tab.Metronidazole_OpeningBalance',
            'aV36z8dcgVd' => 'Inj.Furosemide_ReceiptsThisMonth',
            'L90YlI8AuSD' => 'Inj.Furosemide_AdjustmentMinus',
            'qGbHPhaB0ti' => 'Inj.Plasmasol_ReceiptsThisMonth',
            'tGnwulhhoaM' => 'IronFolate_AdjustmentMinus',
            'swdldjl5w3T' => 'Inj.Plasmasol_OpeningBalance',
            'yQfHIwxvCmb' => 'Inj.Ampicillin2_ReceiptsThisMonth',
            'QQq54mokzin' => 'Inj.Pethidine_ReceiptsThisMonth',
            'HNYZtx11bZe' => '7.1%Chlorhexidine_Consumption',
            'inhe5krMSBq' => 'AmoxicillinDT_AdjustmentMinus',
            'pAsiUpmRY8K' => 'Inj.Oxytocin5_NumofDaysStockOut',
            'MaHGJumMJDd' => 'ORS_AdjustmentPlus',
            'MUWX73kTOFK' => 'Inj.Oxytocin5_AdjustmentPlus',
            'mI7Rvdd4Spe' => 'Inj.Ephedrine_NumofDaysStockOut',
            'gGQRq3uaktW' => 'Inj.Ergometrine_Comments',
            'Eb1qIhL7fRA' => 'AmoxicillinDT_NumofDaysStockOut',
            'fmgXaIjBpVe' => 'Inj.Oxytocin5_Comments',
            'FPkvwlpW0d3' => 'IronFolate_AdjustmentPlus',
            'YNBb4dbEXQP' => 'Inj.Furosemide_NumofDaysStockOut',
            'Dp4207dsAYr' => 'Tab.Furosemide_NumofDaysStockOut',
            'dRvSjUcPJPv' => 'SulbutamolRespirator_AdjustmentPlus',
            'm9yVn26i93r' => 'Inj.Magnesium_NumofDaysStockOut',
            'WqCAwQhqKhj' => 'ResuscitationDevice_AdjustmentMinus',
            'jsXI01cQX6S' => 'Inj.Ampicillin2_AdjustmentMinus',
            'kStLvzoYoxz' => 'Inj.Gentamycin_OpeningBalance',
            'DbqNoZGNKUI' => 'Inj.Magnesium_OpeningBalance',
            'hQ2gIM7nkIo' => 'IronFolate_Comments',
            'xpHM9ml1Cpz' => 'Inj.Metronidazole_OpeningBalance',
            'cKI8P3vU2Co' => 'Inj.Ephedrine_Comments',
            'W09GsTwTS9y' => 'Inj.Pethidine_Comments',
            'aSO0o4MdjrE' => 'Tab.Furosemide_AdjustmentMinus',
            'LDoBFfzXtF0' => 'Inj.5%DNS_OpeningBalance',
            'UdQsW3ncQiy' => 'Inj.Plasmasol_AdjustmentMinus',
            'LOsSzF4y0v6' => 'SulbutamolRespirator_Consumption',
            'PJYh8EkTZP9' => 'Inj.Hartmann’s_AdjustmentMinus',
            'TA0bDdLj5B4' => 'Misoprostol_Consumption',
            'dlddYZUAtUT' => 'Inj.Ergometrine_ReceiptsThisMonth',
            'DQfU18B14Jd' => '7.1%Chlorhexidine_NumofDaysStockOut',
            'l8pDfYGPE4k' => 'Inj.Bupivacaine_AdjustmentMinus',
            'IKZl46rzwcg' => 'Inj.Bupivacaine_NumofDaysStockOut'
			);

$resultData1= Array
(
    'resultData' => Array
        (
            'headers' => Array
                (
                    '0' => Array
                        (
                            'name' => 'dx',
                            'column' => 'Data',
                            'type' => 'java.lang.String'
                        ),

                    '1' => Array
                        (
                            'name' => 'pe',
                            'column' => 'Period',
                            'type' => 'java.lang.String'
                        ),

                    '2' => Array
                        (
                            'name' => 'ou',
                            'column' => 'Organisation unit',
                            'type' => 'java.lang.String'
                        ),

                    '3' => Array
                        (
                            'name' => 'value',
                            'column' => 'Value',
                            'type' => 'java.lang.Double'
                        ),

                ),

            'metaData' => Array
                (
                   'names' => Array
                        (
                            'pe' => 'Period',
                            'yAfJFLuVkEa' => 'Argariya CC, Gazipur Sadar',
                            'ou' => 'Organisation unit',
                            'dx' => 'Data',
                            'JQt3QsxwLp5' => 'Zinc_ClosingBalance',
                            '201508' => 'August 2015'
                        )

                ),

            'rows' => Array
                (
                    '0' => Array
                        (
                            '0' => 'JQt3QsxwLp5',//indicator id
                            '1' => 201508,
                            '2' => 'yAfJFLuVkEa',// organization unit
                            '3' => 1360.0
                        )

                )

        )

);

 $resultData1['resultData']['rows'][0][0].'<br>';
 $resultData1['resultData']['rows'][0][2].'<br>';
$resultData1['resultData']['rows'][0][3].'<br>';
//print_r($array["multi"]["dimensional"]["array"]);
//print_r($resultData[0]["value"]);
/// USC Insert
	
?>
			<hr>
			<div class="panel-body">
				<div class="table-responsive">
					
				</div>
			</div>
		</div>
	</div>
                    
				
	</div>
</div>
<script>
$(document).ready(function(){
	
    $("#dataupload_button").click(function(){
        $('#dataupload_form').submit(function (e) {
			e.preventDefault();
		});
		var uname = $('#uname').val();
		var password= $('#password').val();
		var webLink = $('#webLink').val();
		var dataset = $('#dataset').val();
		var period = $('#period').val();
		
		$('#dataupload_button').after('<div class="loader" style="position: fixed;left: 50%;top: 40%;width: 100%;height: 100%;z-index: 9999;"><img src="assets/images/load.gif" alt="Importing eLMIS Data" /></div>');
		jQuery.post("data-upload-code.php", {uname:uname,password:password,webLink:webLink,dataset:dataset,period:period },
		function(data){
			alert(data);			
			$('#loader').slideUp(200,function(){		
			$('#loader').remove();});
			$(".loader").fadeOut("slow");
			window().location();	
		});
    });
});
</script>
<?php
$time = microtime();
$time = explode(' ', $time);
$time = $time[1] + $time[0];
$finish = $time;
$total_time = round(($finish - $start), 4);
echo 'Page generated in '.$total_time.' seconds.';
?>